SolrRequestInfo (Solr 3.6.2 API)
Keywords: org.apache.solr.request.SolrRequestInfo class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.request
Class SolrRequestInfo

    java.lang.Object
      org.apache.solr.request.SolrRequestInfo

    public class SolrRequestInfo

extends Object

Field Summary
`protected Date` | `now`
`protected ResponseBuilder` | `rb`
`protected SolrQueryRequest` | `req`
`protected SolrQueryResponse` | `rsp`
`protected static ThreadLocal<SolrRequestInfo>` | `threadLocal`

Constructor Summary
`SolrRequestInfo(SolrQueryRequest req, SolrQueryResponse rsp)`

Method Summary
`static void` | `clearRequestInfo()`
`Date` | `getNOW()`
`SolrQueryRequest` | `getReq()`
`static SolrRequestInfo` | `getRequestInfo()`
`ResponseBuilder` | `getResponseBuilder()` May return null if the request handler is not based on SearchHandler
`SolrQueryResponse` | `getRsp()`
`static void` | `setRequestInfo(SolrRequestInfo info)`
`void` | `setResponseBuilder(ResponseBuilder rb)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### threadLocal

    protected static final ThreadLocal<SolrRequestInfo> threadLocal

### req

    protected SolrQueryRequest req

### rsp

    protected SolrQueryResponse rsp

### now

    protected Date now

### rb

    protected ResponseBuilder rb

Constructor Detail

### SolrRequestInfo

    public SolrRequestInfo(SolrQueryRequest req,
                           SolrQueryResponse rsp)

Method Detail

### getRequestInfo

    public static SolrRequestInfo getRequestInfo()

### setRequestInfo

    public static void setRequestInfo(SolrRequestInfo info)

### clearRequestInfo

    public static void clearRequestInfo()

### getNOW

    public Date getNOW()

### getReq

    public SolrQueryRequest getReq()

### getRsp

    public SolrQueryResponse getRsp()

### getResponseBuilder

    public ResponseBuilder getResponseBuilder()

  May return null if the request handler is not based on SearchHandler

### setResponseBuilder

    public void setResponseBuilder(ResponseBuilder rb)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD